upgrade-db: V4V to argo rules are not run.

Description

Guests created in OpenXT 8 and before will no longer be able to boot after upgrading to OpenXT 9.
Upgrade rules to support the transition from V4V to Argo are not ran by the 9.0.0 and 9.0.1 version.

Environment

OpenXT 9, Dom0.

Validation Steps

  1. install OpenXT 8

  2. create an HVM guest with stubdomain

  3. upgrade to latest OpenXT 9

  4. Once rebooted in the upgraded OpenXT 9, the guest should start without error.

Assignee

Jason Andryuk

Reporter

Eric Chanudet

Labels

None

QA Assignee

None

QA Image URL

None

Epic Link

Components

Fix versions

Affects versions

Priority

Blocker
Configure